Summary: Japanese Code Conversion Library
Name: libjconv
Version: 2.8.1
Release: 1mdk
License: GPL
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
Requires: glibc >= 2.1.0
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix} 

%description
This package provide Japanese Code Conversion capability based on iconv.

%prep
%setup

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin}
mkdir -p $RPM_BUILD_ROOT/etc/libjconv
install -m 755 libjconv.so $RPM_BUILD_ROOT/usr/lib
install -m 644 libjconv.a $RPM_BUILD_ROOT/usr/lib
install -m 755 jconv $RPM_BUILD_ROOT/usr/bin
install -m 644 jconv.h $RPM_BUILD_ROOT/usr/include
install -m 644 default.conf $RPM_BUILD_ROOT/etc/libjconv

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING
/usr/lib/libjconv.so
/usr/lib/libjconv.a
/usr/bin/jconv
/usr/include/jconv.h
%config(noreplace) /etc/libjconv

%changelog
* Sat Nov 17 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.8.1-1mdk
- First version for Mandrake Linux
